#### D.15.24.3 mresExt

Procedure from library `sresext.lib` (see sresext_lib).

Usage:
  mresExt(m,p); m a module over the polynomial ring.

Return:
  resolution

Purpose:
  to compute the minimal free resolution of m, where m represents a module over the exterior algebra, up to pth cohomological degree.

Theory:

Example:

    LIB "sresext.lib";
    ring r = 0,(x,y,z),dp;
    def E = Exterior();
    vector f1 = [x,y,0,z,0,0];
    vector f2 = [0,x,y,0,z,0];
    vector f3 = [0,0,0,x,y,z];
    module m = f1,f2,f3;
    mresExt(m,4);
    ==>  6      3      3      3      3
    ==> r <--  r <--  r <--  r <--  r
    ==>
    ==> 0      1      2      3      4
    ==>

See also: schreyerSyzExt; sresExt.

User manual for Singular version 4.4.1, 2025, generated by texi2html.